Bug 2773 - Staroffice 5.0 does not work with glibc
Staroffice 5.0 does not work with glibc
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Cristian Gafton
Depends On:
  Show dependency treegraph
Reported: 1999-05-12 16:12 EDT by ppe
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-05-14 17:52:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ppe 1999-05-12 16:12:15 EDT
after upgrading to RH 6.0, StarOffice 5.01 did not work
any more. I suspect, this is due to incompatibility with
the new glibc. How can I fix this? I think this will
affect many users.

Cheers, Peter.
Comment 1 Jeff Johnson 1999-05-12 17:20:59 EDT
Use the specially compiled star office on the application CD.
Comment 2 ct7 1999-05-12 17:40:59 EDT
What if I don't happen to have a copy of the application CD?
Will either RedHat or StarDivision offer a patch for this?
Comment 3 ppe 1999-05-14 16:37:59 EDT
Using the compat-glibc
it is possible to run Staroffice but when Staroffice calls an external
program using 'system()' which is done for printing, than the called
program does not execute, because it uses the compat-glibc.

is not the only binary only program out there. Can't you provide
a patched ld.so which is able to load the old libs, if the new libs
fail to link? As it is right now, RH6.0 will hurt the linux movement
instead of driving it. Some people used fortran 90 compilers which
now stopped working as well. I think this is not in the interest of
RedHat software, is it? I think Red Hat should now see the Red Alarm
sign going on.
Comment 4 Jeff Johnson 1999-05-14 17:52:59 EDT
Red Hat provides an operating system.
Star Office provides Star office.
This is not a software bug -- either use the Star Office on
the application CD or talk to Star Office for a compatibility

Note You need to log in before you can comment on or make changes to this bug.